# MediaMTX Configuration for MeshFlow

# Enable the API so I can see what's happening
api: yes
apiAddress: :9997

logLevel: debug

# Enable RTSP
rtsp: yes
rtspAddress: :8554

# Enable HLS
hls: yes
hlsAddress: :8888
hlsEncryption: no

# Enable WebRTC
webrtc: yes
webrtcAddress: :8889
webrtcEncryption: no
# webrtcServerCert: /root/server.crt
# webrtcServerKey: /root/server.key

paths:
  # Allow all paths by default
  all:
    source: publisher
    sourceProtocol: tcp
